Package com.io7m.idstore.server.user_view

# Class IdUViewAuthenticatedServlet

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
com.io7m.idstore.server.http.IdCommonInstrumentedServlet
com.io7m.idstore.server.user_view.IdUViewAuthenticatedServlet

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

Direct Known Subclasses:
  `IdUViewEmailAdd`, `IdUViewEmailAddRun`, `IdUViewEmailRemoveRun`, `IdUViewMain`, `IdUViewMessage`, `IdUViewPasswordUpdate`, `IdUViewPasswordUpdateRun`, `IdUViewRealnameUpdate`, `IdUViewRealnameUpdateRun`

public abstract class IdUViewAuthenticatedServlet extends IdCommonInstrumentedServlet
A servlet that checks that a user is authenticated before delegating execution to a subclass.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `IdUViewAuthenticatedServlet(com.io7m.repetoir.core.RPServiceDirectoryType inServices)`
  A servlet that checks that a user is authenticated before delegating execution to a subclass.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected final IdDatabaseType`
  `database()`
  `protected final void`
  `service(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse servletResponse)`
  `protected abstract void`
  `serviceAuthenticated(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse servletResponse, IdSessionUser session)`
  `protected final com.io7m.repetoir.core.RPServiceDirectoryType`
  `services()`
  `protected final IdServerStrings`
  `strings()`
  `protected final IdUser`
  `user()`
  `protected final UUID`
  `userId()`
  `protected final IdSessionUser`
  `userSession()`

  ### Methods inherited from class com.io7m.idstore.server.http.IdCommonInstrumentedServlet

  `service`

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdUViewAuthenticatedServlet

    protected IdUViewAuthenticatedServlet(com.io7m.repetoir.core.RPServiceDirectoryType inServices)
    A servlet that checks that a user is authenticated before delegating execution to a subclass.
    Parameters:
      `inServices` - The service directory

- ## Method Details

  - ### userSession

    protected final IdSessionUser userSession()

  - ### user

    protected final IdUser user()

  - ### userId

    protected final UUID userId()

  - ### strings

    protected final IdServerStrings strings()

  - ### serviceAuthenticated

    protected abstract void serviceAuthenticated(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse servletResponse, IdSessionUser session) throws Exception
    Throws:
      `Exception`

  - ### service

    protected final void service(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse servletResponse) throws jakarta.servlet.ServletException, IOException
    Overrides:
      `service` in class `jakarta.servlet.http.HttpServlet`
    Throws:
      `jakarta.servlet.ServletException`
      `IOException`

  - ### database

    protected final IdDatabaseType database()

  - ### services

    protected final com.io7m.repetoir.core.RPServiceDirectoryType services()